package org.objectweb.telosys.screen.core;

import org.objectweb.telosys.common.TelosysException;


/**
 * The ScreenDataProvider interface <br>
 * 
 * Implemented by "StandardScreenRegistry"<br>
 * 
 * @author Laurent GUERIN
 *
 */
public interface IScreenDataProvider
{
    /**
     * Creates a new ScreenData instance for the given ScreenContext Name 
     * 
     * @param sScreenName
     * @return
     * @throws TelosysException
     */
    public ScreenData getScreenData ( String sScreenName ) throws TelosysException ;

}
