package org.objectweb.telosys.common.data;

/**
 * Interface that must be implemented by classes that are capable of providing a DataSet
 * 
 * @author GUERIN
 *  
 */
public interface DataSetProvider
{
    /**
     * Retuns the DataSet instance 
     * @return
     */
    public DataSet getDataSet();

    /**
     * Returns the number of rows of the DataSet instance
     * @return
     */
    public int getRowCount();

}